##
18.7.1 Class Descriptor Objects

The class descriptor objects used as values in the dictionary returned by `readmodule()` provide the following data members:

`module`
  The name of the module defining the class described by the class descriptor.

`name`
  The name of the class.

`super`
  A list of class descriptors which describe the immediate base classes of the class being described. Classes which are named as superclasses but which are not discoverable by `readmodule()` are listed as a string with the class name instead of class descriptors.

`methods`
  A dictionary mapping method names to line numbers.

`file`
  Name of the file containing the class statement defining the class.

`lineno`
  The line number of the class statement within the file named by `file`.